Download it now!
Bug 85846 - android: Cache tiles - remember those that have been already rendered
Summary: android: Cache tiles - remember those that have been already rendered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2014-11-04 09:52 UTC by Jan Holesovsky
Modified: 2015-04-20 08:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-11-04 09:52:12 UTC
We need to remember the tiles that have been already rendered, so that when the user scrolls back and forth, he/she gets the content ~immediately, without the need of re-rendering them.

If we need to throw away some, do that based on their last use - start with those unused for the longest amount of time, or so.
Comment 1 Chiranjeev Gupta 2015-03-27 14:44:29 UTC
Can it be done by updating the Bundle every time and assigning it the values of the current View and hence restore the values on re rendering it??
Comment 2 Jan Holesovsky 2015-04-20 08:11:56 UTC
This is now fixed, changing the state accordingly :-)